package model;

import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import view.JFrameScaleImageSample1;

/**
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class ScaleImageListener implements ChangeListener {
	
	JFrameScaleImageSample1 frame;
	
	public ScaleImageListener(JFrameScaleImageSample1 frame) {
		this.frame = frame;
	}
	
	public void stateChanged(ChangeEvent arg0) {
		JSlider curs = (JSlider) arg0.getSource();
		int scale = curs.getValue();
		
		this.frame.getJMapPane().setScale(scale);
		this.frame.repaint();
	}
}